# Class default

- Defined in src/lidar/Measure.ts:31

#####
Index

### Constructors

constructor

### Methods

clearMeasure
measureHeight
setMeasureActive

## Constructors

### constructor

- new default(gmfLidarprofileManagerInstance): default

- Measure tool for the d3 chart

  #### Parameters

  - ##### gmfLidarprofileManagerInstance: LidarprofileManager

    gmf lidar profile manager instance

  #### Returns default

  - Defined in src/lidar/Measure.ts:53

## Methods

### clearMeasure

- clearMeasure(): void

- Clear the current measure

  #### Returns void

  - Defined in src/lidar/Measure.ts:73

### measureHeight

- measureHeight(event): void

- Measure and display height after two click on the profile.

  #### Parameters

  - ##### event: MouseEvent

    Event .

  #### Returns void

  - Defined in src/lidar/Measure.ts:112

### setMeasureActive

- setMeasureActive(): void

- Activate the measure tool

  #### Returns void

  - Defined in src/lidar/Measure.ts:97

Generated using TypeDoc